curl --request POST \
--url 'https://api.workstream.stateset.com/v1/onboarding/{brand_id}/connect' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"gorgias": {
"subdomain": "string",
"email": "ada.lovelace@example.com",
"api_key": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"shopify": {
"domain": "string",
"access_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"recharge": {
"api_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"activate": true
}'
{
"ok": true,
"connected": [
"string"
],
"activated": true,
"readiness": {
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": []
},
"validation": {
"valid": true,
"errors": [],
"warnings": [],
"checks": [],
"readiness": {
"activation_ready": null,
"self_service_ready": null,
"summary": null,
"steps": null
}
}
}
}
Onboarding (/v1/onboarding/{brand_id}/connect)
Credentials stored (encrypted) and connectors re-pointed.
POST
/
v1
/
onboarding
/
{brand_id}
/
connect
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/onboarding/{brand_id}/connect' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"gorgias": {
"subdomain": "string",
"email": "ada.lovelace@example.com",
"api_key": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"shopify": {
"domain": "string",
"access_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"recharge": {
"api_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"activate": true
}'
{
"ok": true,
"connected": [
"string"
],
"activated": true,
"readiness": {
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": []
},
"validation": {
"valid": true,
"errors": [],
"warnings": [],
"checks": [],
"readiness": {
"activation_ready": null,
"self_service_ready": null,
"summary": null,
"steps": null
}
}
}
}
Path parameters
Request body
object
Response
object
Null unless
activate was requested; then the activation result (brand + validation) or { 'blocked': '<error>' } when activation failed.Show readiness
Show readiness
Brand record
Show brand
Show brand
Status codes
| Code | Meaning |
|---|---|
200 | Credentials stored (encrypted) and connectors re-pointed. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/onboarding/{brand_id}/connect' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"gorgias": {
"subdomain": "string",
"email": "ada.lovelace@example.com",
"api_key": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"shopify": {
"domain": "string",
"access_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"recharge": {
"api_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"activate": true
}'
{
"ok": true,
"connected": [
"string"
],
"activated": true,
"readiness": {
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": []
},
"validation": {
"valid": true,
"errors": [],
"warnings": [],
"checks": [],
"readiness": {
"activation_ready": null,
"self_service_ready": null,
"summary": null,
"steps": null
}
}
}
}
Last modified on August 31, 2026